S7-PLCSIM V16 installation notes

In section Instructions Examples Basics History Extra
Start Previous Next

S7-PLCSIM V16 installation notes

This section contains information on the following topics:
  • Prerequisites to installation
  • Installing S7-PLCSIM
  • Modifying S7-PLCSIM
  • Repairing S7-PLCSIM
  • Uninstalling S7-PLCSIM


Prerequisites to installation

Security settings License requirements Hardware and software requirements
Start Previous Next

Prerequisites to installation

You must meet the following prerequisites before you install S7‑PLCSIM V16:

  • Your programming device must meet the hardware and software system requirements.

  • You have administrator rights on the programming device.

  • Exit or disable any running Siemens applications or other programs.

Security settings

In order to operate S7‑PLCSIM, you must enter port 4410 for TCP as an exception in the Windows firewall during installation.

License requirements

You can install S7‑PLCSIM without an individual license key. You must have a valid STEP 7 Basic or Professional license, however, to run S7‑PLCSIM.

Hardware and software requirements

S7‑PLCSIM V16 has the same hardware and software requirements as the TIA Portal V16, with one exception. For acceptable performance, your programming device should have a quad core processor that is equal to, or better than, an Intel® Core™ i5-6440EQ Processor, up to 3.40 GHz.

Refer to the Installation section of the TIA Portal V16 online help for specific details.


Installing S7-PLCSIM

Installing S7-PLCSIM

Follow these steps to install S7‑PLCSIM V16:

  1. Insert the installation medium into your computer's DVD drive. The setup program starts automatically unless you have disabled Autostart on the programming device or PC. If the setup program does not start automatically, double-click the "Start.exe" file.

  2. From the Setup dialog, select the language you want to use during installation.

    • If you want to read installation information, click "Read installation notes".

    • If you want to read the Readme file with product information, click "Read product information".

    • Click Next to proceed.

  3. Select the languages to install and click Next.

  4. Select or deselect the products to install. Click "Browse" if you want to change the default installation path. The path name can contain a maximum number of 89 characters and cannot contain UNICODE characters. Note that if you change the installation path, the desktop shortcut icon might not display correctly. When finished, click Next.

  5. To continue installation, select both check boxes at the bottom of the dialog and click Next.

  6. From the Security Control dialog, review the security and permissions settings. Select the check box at the bottom of the dialog and click Next.

  7. The overview screen displays your installation details. Click "Install". The installation process runs and S7‑PLCSIM installs on your computer system.

  8. You must reboot your computer after the setup completes. Select "Yes, restart my computer now." to restart the computer immediately, or select "No, I will restart my computer later." to postpone rebooting.

  9. Click "Restart." If the computer does not restart, click "Exit" and perform the reboot from the Windows start menu.


Modifying S7-PLCSIM

Requirements for modifying the installation Procedure to modify the installation
Start Previous Next

Modifying S7-PLCSIM

You can modify your S7‑PLCSIM installation to change the installed language or to add languages.

Requirements for modifying the installation

Be sure you meet the following conditions before you begin to modify the installation:

  • Your hardware and software meet the system requirements.

  • You have administrator privileges on the installation computer.

  • No other programs are running.

Procedure to modify the installation

Follow these steps to modify your S7‑PLCSIM installation:

  1. Insert the installation disk into your disk drive. The setup program starts automatically unless you have disabled "Autostart" on the programming device or PC.

  2. If the setup program does not start automatically, start it manually by double‑clicking the "Start.exe" file.

  3. Follow the prompts until you reach the Configuration window. Select the "Modify Upgrade" option button.

  4. Continue to follow the prompts to modify your installation.

  5. Restart your computer to finish the installation process.

Note

You cannot change the target directory because you are modifying an existing installation.


Repairing S7-PLCSIM

Requirements for repairing the installation Procedure to repair the installation
Start Previous Next

Repairing S7-PLCSIM

Use the S7‑PLCSIM disk to repair your installation.

Requirements for repairing the installation

Be sure you meet the following conditions before you begin the repair process:

  • Your hardware and software meet the system requirements.

  • You have administrator rights on the installation computer.

  • No other programs are running.

Procedure to repair the installation

Follow these steps to repair your installation:

  1. Insert the installation disk into your disk drive. The setup program starts automatically unless you have disabled Autostart on the programming device or PC. If the setup program does not start automatically, start it manually by double‑clicking the "Start.exe" file.

  2. Follow the prompts until you reach the Configuration window. Select the "Repair" option button.

  3. Continue to follow the prompts to repair your installation.

  4. Restart your computer to finish the repair process.


Uninstalling S7-PLCSIM

Removing S7‑PLCSIM using the installation disk

Uninstalling S7-PLCSIM

You have two options for removing S7‑PLCSIM from your computer system:

  • Use Windows to remove the program.

  • Remove the program by using the installation disk.

Removing S7‑PLCSIM using the installation disk

To remove S7‑PLCSIM using the installation disk, follow these steps:

  1. Insert the installation disk into your disk drive. The setup program starts automatically unless you have disabled Autostart on the programming device or PC. If the setup program does not start automatically, start it by double clicking the "Start.exe" file.

  2. Follow the prompts until you have an opportunity to select "Uninstall".

  3. Continue to follow the prompts to uninstall S7‑PLCSIM.

  4. Restart your computer to complete the uninstall process.